import '../models/attendance_model.dart';
import '../repositories/attendance_repository.dart';

class GetAttendanceRecordsUseCase {
  final AttendanceRepository repository;

  GetAttendanceRecordsUseCase(this.repository);

  Future<List<AttendanceModel>> execute({required String employeeId}) {
    return repository.getAttendanceRecords(employeeId: employeeId);
  }
}
